Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_DATE

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.wrapper.CK_DATE

All Implemented Interfaces:
  java.lang.Cloneable

public class CK_DATE
extends java.lang.Object
implements java.lang.Cloneable

class .

PKCS#11 structure:

     typedef struct CK_DATE {
       CK_CHAR year[4];
       CK_CHAR month[2];
       CK_CHAR day[2];
     } CK_DATE;

Author:
  Karl Scheibelhofer , Martin Schl??ffer

Field Summary
`char[]` | `day` PKCS#11:
`char[]` | `month` PKCS#11:
`char[]` | `year` PKCS#11:

Constructor Summary
`CK_DATE()`

Method Summary
`java.lang.Object` | `clone()` Create a (deep) clone of this object.
`java.lang.String` | `toString()` Returns the string representation of CK_DATE.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### year

    public char[] year

  PKCS#11:

         CK_CHAR year[4];   - the year ("1900" - "9999")

### month

    public char[] month

  PKCS#11:

         CK_CHAR month[2];  - the month ("01" - "12")

### day

    public char[] day

  PKCS#11:

         CK_CHAR day[2];    - the day ("01" - "31")

Constructor Detail

### CK_DATE

    public CK_DATE()

Method Detail

### clone

    public java.lang.Object clone()

  Create a (deep) clone of this object.
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone of this object.

### toString

    public java.lang.String toString()

  Returns the string representation of CK_DATE.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of CK_DATE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18